<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.HgShelveDataDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.HgShelveDataDialog</h1>
<p>
Module implementing a dialog to enter the data for a shelve operation.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#HgShelveDataDialog">HgShelveDataDialog</a></td>
<td>Class implementing a dialog to enter the data for a shelve operation.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="HgShelveDataDialog" ID="HgShelveDataDialog"></a>
<h2>HgShelveDataDialog</h2>
<p>
    Class implementing a dialog to enter the data for a shelve operation.
</p>

<h3>Derived from</h3>
QDialog, Ui_HgShelveDataDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#HgShelveDataDialog.__init__">HgShelveDataDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#HgShelveDataDialog.getData">getData</a></td>
<td>Public method to get the user data.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="HgShelveDataDialog.__init__" ID="HgShelveDataDialog.__init__"></a>
<h4>HgShelveDataDialog (Constructor)</h4>
<b>HgShelveDataDialog</b>(<i>version, parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>version</i> (tuple of three int)</dt>
<dd>
Mercurial version
</dd>
<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<a NAME="HgShelveDataDialog.getData" ID="HgShelveDataDialog.getData"></a>
<h4>HgShelveDataDialog.getData</h4>
<b>getData</b>(<i></i>)
<p>
        Public method to get the user data.
</p>

<dl>
<dt>Return:</dt>
<dd>
tuple containing the name, date, message, a flag indicating
            to add/remove new/missing files and a flag indicating to keep the
            shelved changes in the working directory
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple of (str, QDateTime, str, bool, bool)
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
